Updates the specified project status.

PUThttps://api.awork.com/api/v1/projectstatuses/{projectStatusId}
PUT https://api.awork.com/api/v1/projectstatuses/{projectStatusId}

Updates the specified project status and returns the saved status.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectStatusIdstringRequired
format: uuid

The id of the project status.

Request body Required

The model to update the project status.

application/json

namestringRequired
minLength: 0 maxLength: 255

The name of the project status.

typestringRequired
minLength: 0 maxLength: 25

Specifies the general type of this project status. Accepted values: 'progress', 'not-started', 'closed', 'stuck

Responses

200 OK

application/json

idstringOptional
format: uuid

The primary identifier of this project status.

namestring or nullOptional

The name of the project status.

typestring or nullOptional

The general type of this project status.

isArchivedbooleanOptional

Indicates whether this status is archived.

orderinteger or nullOptional
format: int32

The order of this status.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

projectTemplateIdstring or nullOptional
format: uuid

The id of the project template of the status.

projectIdstring or nullOptional
format: uuid

The id of the project the status belongs to.

workflowIdstring or nullOptional
format: uuid

The id of the workflow linked to this project status.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isExternalbooleanOptional

True if the project status is coming from an external workspace (awork Connect).

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation